get
https://api.accurateappend.com/Services/V2/ValidateComposite//
Validate multiple contact fields, from two full names, with a single API call - name, address, phone and email. Validates the relationship between all components of a lead to verify the identity of the underlying individual.ValidateComposite returns the most extensively parsed data for the subject's name, address, and phone number information.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
HTTP HeadersThe "content-type" in the HTTP header must be set to "application/json", otherwise an HTTP 400 Bad Request response will be returned.
NameResult
If request contains two names then two separate sets of names and gender are returned.
| Field name | Type | Description |
|---|---|---|
| FirstName1 | string | Parsed first name |
| MiddleName1 | string | Parsed middle name |
| LastName1 | string | Parsed last name |
| FirstName2 | string | Parsed first name |
| MiddleName2 | string | Parsed middle name |
| LastName2 | string | Parsed last name |
| Codes | array | Parsing and validation results. See Status codes |
AddressResult
| Field name | Type | Description |
|---|---|---|
| Address | string | Formatted full street address |
| AddressRange | string | Parsed address range |
| StreetName | string | Parsed street name |
| Suffix | string | Parsed street suffix. i.e. St, Ave, Rd |
| PostDirection | string | Parsed street post direction |
| City | string | Parsed and corrected city |
| CountyName | string | County name |
| CountyFips | string | County FIP code |
| State | string | 2 digit state abbreviation |
| Zip | string | 5 digit postal code |
| Zip4 | string | 4 digit Zip extension |
| CountryCode | string | Country code |
| CarrierRoute | string | Carrier route number |
| CongressionalDistrict | string | Congressional district number |
| TimeZone | string | Time zone description |
| TimeZoneCode | string | Time zone code |
| AddressTypeCode | string | Address type code |
| Codes | array | Result |
PhoneResult
| Field name | Type | Description |
|---|---|---|
| AreaCode | string | Area code |
| Prefix | string | 3 digit prefix |
| Suffix | string | 4 digit suffix |
| City | string | City |
| State | string | State |
| CountryCode | string | Country code |
| CountyFips | string | County Fips code |
| CountyName | string | County name |
| Distance | string | Distance from input postal code |
| Msa | string | Metropolitan Statistical Area |
| Pmsa | string | Primary Metropolitan Statistical Area |
| TimeZone | string | Time zone |
| TimeZoneCode | string | Time zone code |
| LineType | string | See Line Type. |
| Codes | array | Parsing and validation results. See Status codes. |
| ConnectionScore | number | Provides a connection confidence score for the input phone number as a percentage (0 to 1) of how often this phone is used. Values below 35% are considered to be low use phone numbers or may have no usage data. Only present if verifyconnectionstatus=true and a P20 code is returned. |
EmailResult
| Field name | Type | Description |
|---|---|---|
| User | string | Parsed username |
| Domain | string | Parsed domain name |
| Codes | array | Parsing and validation results. See Status codes. |
ValidateComposite Status Codes
This section lists the following types of status codes for the ValidateComposite method.
| Code | Description |
|---|---|
| C1 | First name, last name, postal address and phone number match in Source 1 |
| C2 | Last name, postal address and phone number match in Source 1 |
| C3 | Last name and phone number match in Source 1 |
| C5 | Postal address and phone number match in Source 1 |
| C11 | First name, last name, postal address and phone number match in Source 2 |
| C12 | Last name, postal address and phone number match in Source 2 |
| C13 | Last name and phone number match in Source 2 |
| C15 | Postal address and phone number match in Source 2 |
| C16 | First name, last name, postal address and phone number match in Source 3 |
| C17 | Last name, postal address and phone number match in Source 3 |
| C18 | Last name and phone number match in Source 3 |
| C19 | Postal address and phone number match in Source 3 |
HTTP Error Messages
Click to see a complete listing of error messages and codes.
